/**
 *
 */
package de.intevation.gnv.geobackend.base.query.container;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Properties;

import de.intevation.gnv.geobackend.base.query.container.exception.QueryContainerException;

/**
 * Defaultimplementation of an QueryContainer.
 * All Queries are provided using a Propertiescontainer.
 * @author Tim Englich <tim.englich@intevation.de>
 */
public class DefaultQueryContainer implements QueryContainer {

    /**
     * The Properties-Object all Queries are provided in.
     */
    private Properties queries = null;

    /**
     * Constructor
     */
    public DefaultQueryContainer() {
        super();
    }

    /**
     * @see de.intevation.gnv.geobackend.base.query.container.QueryContainer#getQuery(java.lang.String)
     */
    public String getQuery(String queryID) throws QueryContainerException {
        String returnValue = null;
        if (this.queries != null){
            returnValue = this.queries.getProperty(queryID);
        }
        return returnValue;
    }

    /**
     * @see de.intevation.gnv.geobackend.base.query.container.QueryContainer#initialize(java.util.Properties)
     */
    public void initialize(Properties properties) throws QueryContainerException {
        this.queries = properties;
    }

}
